com.sun.grid.jgdi.configuration

## Interface JobTask

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    JobTaskImpl

      public interface JobTask
      extends GEObject

  Java representation of the cull object JAT_Type defined in sge_all_listsL.template

  Warning: The JobTask class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFinishedTask(FPET afinishedTask)` Add a com.sun.grid.jgdi.configuration.FPET attribute.
    `void` | `addGrantedDestinIdentifier(JG agrantedDestinIdentifier)` Add a com.sun.grid.jgdi.configuration.JG attribute.
    `void` | `addMessage(QueueInstanceMessage amessage)` Add a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
    `void` | `addTask(PETask atask)` Add a com.sun.grid.jgdi.configuration.PETask attribute.
    `java.lang.String` | `dump()`
    `double` | `getDefaultPreviousUsage()` Get the default value of the attribute previousUsage.
    `double` | `getDefaultReportedUsage()` Get the default value of the attribute reportedUsage.
    `double` | `getDefaultScaledUsage()` Get the default value of the attribute scaledUsage.
    `double` | `getDefaultUsage()` Get the default value of the attribute usage.
    `int` | `getEndTime()` Get the value of the endTime attribute.
    `FPET` | `getFinishedTask(int index)` Get a com.sun.grid.jgdi.configuration.FPET attribute at an index.
    `int` | `getFinishedTaskCount()` Get the number of com.sun.grid.jgdi.configuration.FPET attributes.
    `java.util.List<FPET>` | `getFinishedTaskList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.FPET attributes.
    `int` | `getFshare()` Get the value of the fshare attribute.
    `double` | `getFticket()` Get the value of the fticket attribute.
    `JG` | `getGrantedDestinIdentifier(int index)` Get a com.sun.grid.jgdi.configuration.JG attribute at an index.
    `int` | `getGrantedDestinIdentifierCount()` Get the number of com.sun.grid.jgdi.configuration.JG attributes.
    `java.util.List<JG>` | `getGrantedDestinIdentifierList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JG attributes.
    `java.lang.String` | `getGrantedPe()` Get the value of the grantedPe attribute.
    `int` | `getHold()` Get the value of the hold attribute.
    `int` | `getJobRestarted()` Get the value of the jobRestarted attribute.
    `java.lang.String` | `getMasterQueue()` Get the value of the masterQueue attribute.
    `QueueInstanceMessage` | `getMessage(int index)` Get a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
    `int` | `getMessageCount()` Get the number of com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
    `java.util.List<QueueInstanceMessage>` | `getMessageList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
    `int` | `getNextPeTaskId()` Get the value of the nextPeTaskId attribute.
    `double` | `getNtix()` Get the value of the ntix attribute.
    `java.lang.String` | `getOsjobid()` Get the value of the osjobid attribute.
    `double` | `getOticket()` Get the value of the oticket attribute.
    `int` | `getPendingSignal()` Get the value of the pendingSignal attribute.
    `int` | `getPendingSignalDeliveryTime()` Get the value of the pendingSignalDeliveryTime attribute.
    `ParallelEnvironment` | `getPeObject()` Get the value of the peObject attribute.
    `int` | `getPid()` Get the value of the pid attribute.
    `double` | `getPreviousUsage(java.lang.String key)` Get the previousUsage attribute for `key`.
    `int` | `getPreviousUsageCount()` Get the number of keys which have the attribute previousUsage set.
    `java.util.Set<java.lang.String>` | `getPreviousUsageKeys()` Get the set of `key`s which have the attribute previousUsage set.
    `double` | `getPrio()` Get the value of the prio attribute.
    `int` | `getPvmCkptPid()` Get the value of the pvmCkptPid attribute.
    `double` | `getReportedUsage(java.lang.String key)` Get the reportedUsage attribute for `key`.
    `int` | `getReportedUsageCount()` Get the number of keys which have the attribute reportedUsage set.
    `java.util.Set<java.lang.String>` | `getReportedUsageKeys()` Get the set of `key`s which have the attribute reportedUsage set.
    `double` | `getScaledUsage(java.lang.String key)` Get the scaledUsage attribute for `key`.
    `int` | `getScaledUsageCount()` Get the number of keys which have the attribute scaledUsage set.
    `java.util.Set<java.lang.String>` | `getScaledUsageKeys()` Get the set of `key`s which have the attribute scaledUsage set.
    `double` | `getShare()` Get the value of the share attribute.
    `int` | `getStartTime()` Get the value of the startTime attribute.
    `int` | `getState()` Get the value of the state attribute.
    `int` | `getStatus()` Get the value of the status attribute.
    `double` | `getSticket()` Get the value of the sticket attribute.
    `int` | `getStopInitiateTime()` Get the value of the stopInitiateTime attribute.
    `int` | `getSuitable()` Get the value of the suitable attribute.
    `PETask` | `getTask(int index)` Get a com.sun.grid.jgdi.configuration.PETask attribute at an index.
    `int` | `getTaskCount()` Get the number of com.sun.grid.jgdi.configuration.PETask attributes.
    `java.util.List<PETask>` | `getTaskList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PETask attributes.
    `int` | `getTaskNumber()` Get the value of the taskNumber attribute.
    `double` | `getTix()` Get the value of the tix attribute.
    `double` | `getUsage(java.lang.String key)` Get the usage attribute for `key`.
    `int` | `getUsageCount()` Get the number of keys which have the attribute usage set.
    `java.util.Set<java.lang.String>` | `getUsageKeys()` Get the set of `key`s which have the attribute usage set.
    `int` | `getWallclockLimit()` Get the value of the wallclockLimit attribute.
    `boolean` | `isSetEndTime()` Determine if any endTime attribute is set
    `boolean` | `isSetFinishedTask()` Determine if any finishedTask attribute is set
    `boolean` | `isSetFshare()` Determine if any fshare attribute is set
    `boolean` | `isSetFticket()` Determine if any fticket attribute is set
    `boolean` | `isSetGrantedDestinIdentifier()` Determine if any grantedDestinIdentifier attribute is set
    `boolean` | `isSetGrantedPe()` Determine if any grantedPe attribute is set
    `boolean` | `isSetHold()` Determine if any hold attribute is set
    `boolean` | `isSetJobRestarted()` Determine if any jobRestarted attribute is set
    `boolean` | `isSetMasterQueue()` Determine if any masterQueue attribute is set
    `boolean` | `isSetMessage()` Determine if any message attribute is set
    `boolean` | `isSetNextPeTaskId()` Determine if any nextPeTaskId attribute is set
    `boolean` | `isSetNtix()` Determine if any ntix attribute is set
    `boolean` | `isSetOsjobid()` Determine if any osjobid attribute is set
    `boolean` | `isSetOticket()` Determine if any oticket attribute is set
    `boolean` | `isSetPendingSignal()` Determine if any pendingSignal attribute is set
    `boolean` | `isSetPendingSignalDeliveryTime()` Determine if any pendingSignalDeliveryTime attribute is set
    `boolean` | `isSetPeObject()` Determine if any peObject attribute is set
    `boolean` | `isSetPid()` Determine if any pid attribute is set
    `boolean` | `isSetPreviousUsage()` Determine if any previousUsage attribute is set
    `boolean` | `isSetPreviousUsage(java.lang.String key)` Determine if any previousUsage attribute is for `key` is set
    `boolean` | `isSetPrio()` Determine if any prio attribute is set
    `boolean` | `isSetPvmCkptPid()` Determine if any pvmCkptPid attribute is set
    `boolean` | `isSetReportedUsage()` Determine if any reportedUsage attribute is set
    `boolean` | `isSetReportedUsage(java.lang.String key)` Determine if any reportedUsage attribute is for `key` is set
    `boolean` | `isSetScaledUsage()` Determine if any scaledUsage attribute is set
    `boolean` | `isSetScaledUsage(java.lang.String key)` Determine if any scaledUsage attribute is for `key` is set
    `boolean` | `isSetShare()` Determine if any share attribute is set
    `boolean` | `isSetStartTime()` Determine if any startTime attribute is set
    `boolean` | `isSetState()` Determine if any state attribute is set
    `boolean` | `isSetStatus()` Determine if any status attribute is set
    `boolean` | `isSetSticket()` Determine if any sticket attribute is set
    `boolean` | `isSetStopInitiateTime()` Determine if any stopInitiateTime attribute is set
    `boolean` | `isSetSuitable()` Determine if any suitable attribute is set
    `boolean` | `isSetTask()` Determine if any task attribute is set
    `boolean` | `isSetTaskNumber()` Determine if any taskNumber attribute is set
    `boolean` | `isSetTix()` Determine if any tix attribute is set
    `boolean` | `isSetUsage()` Determine if any usage attribute is set
    `boolean` | `isSetUsage(java.lang.String key)` Determine if any usage attribute is for `key` is set
    `boolean` | `isSetWallclockLimit()` Determine if any wallclockLimit attribute is set
    `void` | `putPreviousUsage(java.lang.String key, double value)` Put the attribute previousUsage for `key`.
    `void` | `putReportedUsage(java.lang.String key, double value)` Put the attribute reportedUsage for `key`.
    `void` | `putScaledUsage(java.lang.String key, double value)` Put the attribute scaledUsage for `key`.
    `void` | `putUsage(java.lang.String key, double value)` Put the attribute usage for `key`.
    `void` | `removeAllFinishedTask()` Remove all com.sun.grid.jgdi.configuration.FPET attributes.
    `void` | `removeAllGrantedDestinIdentifier()` Remove all com.sun.grid.jgdi.configuration.JG attributes.
    `void` | `removeAllMessage()` Remove all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
    `void` | `removeAllPreviousUsage()` Remove the attribute previousUsage for all keys.
    `void` | `removeAllReportedUsage()` Remove the attribute reportedUsage for all keys.
    `void` | `removeAllScaledUsage()` Remove the attribute scaledUsage for all keys.
    `void` | `removeAllTask()` Remove all com.sun.grid.jgdi.configuration.PETask attributes.
    `void` | `removeAllUsage()` Remove the attribute usage for all keys.
    `boolean` | `removeFinishedTask(FPET afinishedTask)` Remote a specific com.sun.grid.jgdi.configuration.FPET attribute.
    `FPET` | `removeFinishedTask(int index)` Remote a com.sun.grid.jgdi.configuration.FPET attribute at an index.
    `JG` | `removeGrantedDestinIdentifier(int index)` Remote a com.sun.grid.jgdi.configuration.JG attribute at an index.
    `boolean` | `removeGrantedDestinIdentifier(JG agrantedDestinIdentifier)` Remote a specific com.sun.grid.jgdi.configuration.JG attribute.
    `QueueInstanceMessage` | `removeMessage(int index)` Remote a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
    `boolean` | `removeMessage(QueueInstanceMessage amessage)` Remote a specific com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
    `java.lang.Double` | `removePreviousUsage(java.lang.String key)` remove the attribute previousUsage for `key`.
    `java.lang.Double` | `removeReportedUsage(java.lang.String key)` remove the attribute reportedUsage for `key`.
    `java.lang.Double` | `removeScaledUsage(java.lang.String key)` remove the attribute scaledUsage for `key`.
    `PETask` | `removeTask(int index)` Remote a com.sun.grid.jgdi.configuration.PETask attribute at an index.
    `boolean` | `removeTask(PETask atask)` Remote a specific com.sun.grid.jgdi.configuration.PETask attribute.
    `java.lang.Double` | `removeUsage(java.lang.String key)` remove the attribute usage for `key`.
    `void` | `setEndTime(int aEndTime)` Set the endTime attribute.
    `void` | `setFinishedTask(int index, FPET afinishedTask)` Set a com.sun.grid.jgdi.configuration.FPET attribute.
    `void` | `setFshare(int aFshare)` Set the fshare attribute.
    `void` | `setFticket(double aFticket)` Set the fticket attribute.
    `void` | `setGrantedDestinIdentifier(int index, JG agrantedDestinIdentifier)` Set a com.sun.grid.jgdi.configuration.JG attribute.
    `void` | `setGrantedPe(java.lang.String aGrantedPe)` Set the grantedPe attribute.
    `void` | `setHold(int aHold)` Set the hold attribute.
    `void` | `setJobRestarted(int aJobRestarted)` Set the jobRestarted attribute.
    `void` | `setMasterQueue(java.lang.String aMasterQueue)` Set the masterQueue attribute.
    `void` | `setMessage(int index, QueueInstanceMessage amessage)` Set a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
    `void` | `setNextPeTaskId(int aNextPeTaskId)` Set the nextPeTaskId attribute.
    `void` | `setNtix(double aNtix)` Set the ntix attribute.
    `void` | `setOsjobid(java.lang.String aOsjobid)` Set the osjobid attribute.
    `void` | `setOticket(double aOticket)` Set the oticket attribute.
    `void` | `setPendingSignal(int aPendingSignal)` Set the pendingSignal attribute.
    `void` | `setPendingSignalDeliveryTime(int aPendingSignalDeliveryTime)` Set the pendingSignalDeliveryTime attribute.
    `void` | `setPeObject(ParallelEnvironment aPeObject)` Set the peObject attribute.
    `void` | `setPid(int aPid)` Set the pid attribute.
    `void` | `setPrio(double aPrio)` Set the prio attribute.
    `void` | `setPvmCkptPid(int aPvmCkptPid)` Set the pvmCkptPid attribute.
    `void` | `setShare(double aShare)` Set the share attribute.
    `void` | `setStartTime(int aStartTime)` Set the startTime attribute.
    `void` | `setState(int aState)` Set the state attribute.
    `void` | `setStatus(int aStatus)` Set the status attribute.
    `void` | `setSticket(double aSticket)` Set the sticket attribute.
    `void` | `setStopInitiateTime(int aStopInitiateTime)` Set the stopInitiateTime attribute.
    `void` | `setSuitable(int aSuitable)` Set the suitable attribute.
    `void` | `setTask(int index, PETask atask)` Set a com.sun.grid.jgdi.configuration.PETask attribute.
    `void` | `setTaskNumber(int aTaskNumber)` Set the taskNumber attribute.
    `void` | `setTix(double aTix)` Set the tix attribute.
    `void` | `setWallclockLimit(int aWallclockLimit)` Set the wallclockLimit attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setTaskNumber

          void setTaskNumber(int aTaskNumber)

      Set the taskNumber attribute.
      Parameters:
        `aTaskNumber` - the new value for the taskNumber attribute

    - #### getTaskNumber

          int getTaskNumber()

      Get the value of the taskNumber attribute.
      Returns:
        the value of the taskNumber attribute

    - #### isSetTaskNumber

          boolean isSetTaskNumber()

      Determine if any taskNumber attribute is set
      Returns:
        `true` if the taskNumber attribute is set

    - #### setStatus

          void setStatus(int aStatus)

      Set the status attribute.
      Parameters:
        `aStatus` - the new value for the status attribute

    - #### getStatus

          int getStatus()

      Get the value of the status attribute.
      Returns:
        the value of the status attribute

    - #### isSetStatus

          boolean isSetStatus()

      Determine if any status attribute is set
      Returns:
        `true` if the status attribute is set

    - #### setStartTime

          void setStartTime(int aStartTime)

      Set the startTime attribute.
      Parameters:
        `aStartTime` - the new value for the startTime attribute

    - #### getStartTime

          int getStartTime()

      Get the value of the startTime attribute.
      Returns:
        the value of the startTime attribute

    - #### isSetStartTime

          boolean isSetStartTime()

      Determine if any startTime attribute is set
      Returns:
        `true` if the startTime attribute is set

    - #### setEndTime

          void setEndTime(int aEndTime)

      Set the endTime attribute.
      Parameters:
        `aEndTime` - the new value for the endTime attribute

    - #### getEndTime

          int getEndTime()

      Get the value of the endTime attribute.
      Returns:
        the value of the endTime attribute

    - #### isSetEndTime

          boolean isSetEndTime()

      Determine if any endTime attribute is set
      Returns:
        `true` if the endTime attribute is set

    - #### setHold

          void setHold(int aHold)

      Set the hold attribute.
      Parameters:
        `aHold` - the new value for the hold attribute

    - #### getHold

          int getHold()

      Get the value of the hold attribute.
      Returns:
        the value of the hold attribute

    - #### isSetHold

          boolean isSetHold()

      Determine if any hold attribute is set
      Returns:
        `true` if the hold attribute is set

    - #### setGrantedPe

          void setGrantedPe(java.lang.String aGrantedPe)

      Set the grantedPe attribute.
      Parameters:
        `aGrantedPe` - the new value for the grantedPe attribute

    - #### getGrantedPe

          java.lang.String getGrantedPe()

      Get the value of the grantedPe attribute.
      Returns:
        the value of the grantedPe attribute

    - #### isSetGrantedPe

          boolean isSetGrantedPe()

      Determine if any grantedPe attribute is set
      Returns:
        `true` if the grantedPe attribute is set

    - #### setJobRestarted

          void setJobRestarted(int aJobRestarted)

      Set the jobRestarted attribute.
      Parameters:
        `aJobRestarted` - the new value for the jobRestarted attribute

    - #### getJobRestarted

          int getJobRestarted()

      Get the value of the jobRestarted attribute.
      Returns:
        the value of the jobRestarted attribute

    - #### isSetJobRestarted

          boolean isSetJobRestarted()

      Determine if any jobRestarted attribute is set
      Returns:
        `true` if the jobRestarted attribute is set

    - #### getGrantedDestinIdentifierList

          java.util.List<JG> getGrantedDestinIdentifierList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JG attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JG attributes

    - #### getGrantedDestinIdentifierCount

          int getGrantedDestinIdentifierCount()

      Get the number of com.sun.grid.jgdi.configuration.JG attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.JG attributes.

    - #### getGrantedDestinIdentifier

          JG getGrantedDestinIdentifier(int index)

      Get a com.sun.grid.jgdi.configuration.JG attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JG attribute

    - #### addGrantedDestinIdentifier

          void addGrantedDestinIdentifier(JG agrantedDestinIdentifier)

      Add a com.sun.grid.jgdi.configuration.JG attribute.
      Parameters:
        `agrantedDestinIdentifier` - the new com.sun.grid.jgdi.configuration.JG attribute

    - #### setGrantedDestinIdentifier

          void setGrantedDestinIdentifier(int index,
                                          JG agrantedDestinIdentifier)

      Set a com.sun.grid.jgdi.configuration.JG attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JG attribute
        `agrantedDestinIdentifier` - the new com.sun.grid.jgdi.configuration.JG attribute

    - #### removeAllGrantedDestinIdentifier

          void removeAllGrantedDestinIdentifier()

      Remove all com.sun.grid.jgdi.configuration.JG attributes.

    - #### removeGrantedDestinIdentifier

          JG removeGrantedDestinIdentifier(int index)

      Remote a com.sun.grid.jgdi.configuration.JG attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JG attribute or `null` if no attribute at this index is stored

    - #### removeGrantedDestinIdentifier

          boolean removeGrantedDestinIdentifier(JG agrantedDestinIdentifier)

      Remote a specific com.sun.grid.jgdi.configuration.JG attribute.
      Parameters:
        `agrantedDestinIdentifier` - the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JG attribute has been removed

    - #### isSetGrantedDestinIdentifier

          boolean isSetGrantedDestinIdentifier()

      Determine if any grantedDestinIdentifier attribute is set
      Returns:
        `true` if the grantedDestinIdentifier attribute is set

    - #### setMasterQueue

          void setMasterQueue(java.lang.String aMasterQueue)

      Set the masterQueue attribute.
      Parameters:
        `aMasterQueue` - the new value for the masterQueue attribute

    - #### getMasterQueue

          java.lang.String getMasterQueue()

      Get the value of the masterQueue attribute.
      Returns:
        the value of the masterQueue attribute

    - #### isSetMasterQueue

          boolean isSetMasterQueue()

      Determine if any masterQueue attribute is set
      Returns:
        `true` if the masterQueue attribute is set

    - #### setState

          void setState(int aState)

      Set the state attribute.
      Parameters:
        `aState` - the new value for the state attribute

    - #### getState

          int getState()

      Get the value of the state attribute.
      Returns:
        the value of the state attribute

    - #### isSetState

          boolean isSetState()

      Determine if any state attribute is set
      Returns:
        `true` if the state attribute is set

    - #### setPvmCkptPid

          void setPvmCkptPid(int aPvmCkptPid)

      Set the pvmCkptPid attribute.
      Parameters:
        `aPvmCkptPid` - the new value for the pvmCkptPid attribute

    - #### getPvmCkptPid

          int getPvmCkptPid()

      Get the value of the pvmCkptPid attribute.
      Returns:
        the value of the pvmCkptPid attribute

    - #### isSetPvmCkptPid

          boolean isSetPvmCkptPid()

      Determine if any pvmCkptPid attribute is set
      Returns:
        `true` if the pvmCkptPid attribute is set

    - #### setPendingSignal

          void setPendingSignal(int aPendingSignal)

      Set the pendingSignal attribute.
      Parameters:
        `aPendingSignal` - the new value for the pendingSignal attribute

    - #### getPendingSignal

          int getPendingSignal()

      Get the value of the pendingSignal attribute.
      Returns:
        the value of the pendingSignal attribute

    - #### isSetPendingSignal

          boolean isSetPendingSignal()

      Determine if any pendingSignal attribute is set
      Returns:
        `true` if the pendingSignal attribute is set

    - #### setPendingSignalDeliveryTime

          void setPendingSignalDeliveryTime(int aPendingSignalDeliveryTime)

      Set the pendingSignalDeliveryTime attribute.
      Parameters:
        `aPendingSignalDeliveryTime` - the new value for the pendingSignalDeliveryTime attribute

    - #### getPendingSignalDeliveryTime

          int getPendingSignalDeliveryTime()

      Get the value of the pendingSignalDeliveryTime attribute.
      Returns:
        the value of the pendingSignalDeliveryTime attribute

    - #### isSetPendingSignalDeliveryTime

          boolean isSetPendingSignalDeliveryTime()

      Determine if any pendingSignalDeliveryTime attribute is set
      Returns:
        `true` if the pendingSignalDeliveryTime attribute is set

    - #### setPid

          void setPid(int aPid)

      Set the pid attribute.
      Parameters:
        `aPid` - the new value for the pid attribute

    - #### getPid

          int getPid()

      Get the value of the pid attribute.
      Returns:
        the value of the pid attribute

    - #### isSetPid

          boolean isSetPid()

      Determine if any pid attribute is set
      Returns:
        `true` if the pid attribute is set

    - #### setOsjobid

          void setOsjobid(java.lang.String aOsjobid)

      Set the osjobid attribute.
      Parameters:
        `aOsjobid` - the new value for the osjobid attribute

    - #### getOsjobid

          java.lang.String getOsjobid()

      Get the value of the osjobid attribute.
      Returns:
        the value of the osjobid attribute

    - #### isSetOsjobid

          boolean isSetOsjobid()

      Determine if any osjobid attribute is set
      Returns:
        `true` if the osjobid attribute is set

    - #### getDefaultUsage

          double getDefaultUsage()

      Get the default value of the attribute usage.

      Returns:
        the default value of the attribute usage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getUsage

          double getUsage(java.lang.String key)

      Get the usage attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the usage attribute for `key` or the default value of usage

    - #### getUsageKeys

          java.util.Set<java.lang.String> getUsageKeys()

      Get the set of `key`s which have the attribute usage set.
      Returns:
        set of `key`s

    - #### getUsageCount

          int getUsageCount()

      Get the number of keys which have the attribute usage set.
      Returns:
        the number of keys which have the attribute usage set.

    - #### isSetUsage

          boolean isSetUsage(java.lang.String key)

      Determine if any usage attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the usage attribute is set

    - #### putUsage

          void putUsage(java.lang.String key,
                        double value)

      Put the attribute usage for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removeUsage

          java.lang.Double removeUsage(java.lang.String key)

      remove the attribute usage for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllUsage

          void removeAllUsage()

      Remove the attribute usage for all keys.

    - #### isSetUsage

          boolean isSetUsage()

      Determine if any usage attribute is set
      Returns:
        `true` if the usage attribute is set

    - #### getDefaultScaledUsage

          double getDefaultScaledUsage()

      Get the default value of the attribute scaledUsage.

      Returns:
        the default value of the attribute scaledUsage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getScaledUsage

          double getScaledUsage(java.lang.String key)

      Get the scaledUsage attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the scaledUsage attribute for `key` or the default value of scaledUsage

    - #### getScaledUsageKeys

          java.util.Set<java.lang.String> getScaledUsageKeys()

      Get the set of `key`s which have the attribute scaledUsage set.
      Returns:
        set of `key`s

    - #### getScaledUsageCount

          int getScaledUsageCount()

      Get the number of keys which have the attribute scaledUsage set.
      Returns:
        the number of keys which have the attribute scaledUsage set.

    - #### isSetScaledUsage

          boolean isSetScaledUsage(java.lang.String key)

      Determine if any scaledUsage attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the scaledUsage attribute is set

    - #### putScaledUsage

          void putScaledUsage(java.lang.String key,
                              double value)

      Put the attribute scaledUsage for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removeScaledUsage

          java.lang.Double removeScaledUsage(java.lang.String key)

      remove the attribute scaledUsage for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllScaledUsage

          void removeAllScaledUsage()

      Remove the attribute scaledUsage for all keys.

    - #### isSetScaledUsage

          boolean isSetScaledUsage()

      Determine if any scaledUsage attribute is set
      Returns:
        `true` if the scaledUsage attribute is set

    - #### getDefaultReportedUsage

          double getDefaultReportedUsage()

      Get the default value of the attribute reportedUsage.

      Returns:
        the default value of the attribute reportedUsage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getReportedUsage

          double getReportedUsage(java.lang.String key)

      Get the reportedUsage attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the reportedUsage attribute for `key` or the default value of reportedUsage

    - #### getReportedUsageKeys

          java.util.Set<java.lang.String> getReportedUsageKeys()

      Get the set of `key`s which have the attribute reportedUsage set.
      Returns:
        set of `key`s

    - #### getReportedUsageCount

          int getReportedUsageCount()

      Get the number of keys which have the attribute reportedUsage set.
      Returns:
        the number of keys which have the attribute reportedUsage set.

    - #### isSetReportedUsage

          boolean isSetReportedUsage(java.lang.String key)

      Determine if any reportedUsage attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the reportedUsage attribute is set

    - #### putReportedUsage

          void putReportedUsage(java.lang.String key,
                                double value)

      Put the attribute reportedUsage for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removeReportedUsage

          java.lang.Double removeReportedUsage(java.lang.String key)

      remove the attribute reportedUsage for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllReportedUsage

          void removeAllReportedUsage()

      Remove the attribute reportedUsage for all keys.

    - #### isSetReportedUsage

          boolean isSetReportedUsage()

      Determine if any reportedUsage attribute is set
      Returns:
        `true` if the reportedUsage attribute is set

    - #### setFshare

          void setFshare(int aFshare)

      Set the fshare attribute.
      Parameters:
        `aFshare` - the new value for the fshare attribute

    - #### getFshare

          int getFshare()

      Get the value of the fshare attribute.
      Returns:
        the value of the fshare attribute

    - #### isSetFshare

          boolean isSetFshare()

      Determine if any fshare attribute is set
      Returns:
        `true` if the fshare attribute is set

    - #### setTix

          void setTix(double aTix)

      Set the tix attribute.
      Parameters:
        `aTix` - the new value for the tix attribute

    - #### getTix

          double getTix()

      Get the value of the tix attribute.
      Returns:
        the value of the tix attribute

    - #### isSetTix

          boolean isSetTix()

      Determine if any tix attribute is set
      Returns:
        `true` if the tix attribute is set

    - #### setOticket

          void setOticket(double aOticket)

      Set the oticket attribute.
      Parameters:
        `aOticket` - the new value for the oticket attribute

    - #### getOticket

          double getOticket()

      Get the value of the oticket attribute.
      Returns:
        the value of the oticket attribute

    - #### isSetOticket

          boolean isSetOticket()

      Determine if any oticket attribute is set
      Returns:
        `true` if the oticket attribute is set

    - #### setFticket

          void setFticket(double aFticket)

      Set the fticket attribute.
      Parameters:
        `aFticket` - the new value for the fticket attribute

    - #### getFticket

          double getFticket()

      Get the value of the fticket attribute.
      Returns:
        the value of the fticket attribute

    - #### isSetFticket

          boolean isSetFticket()

      Determine if any fticket attribute is set
      Returns:
        `true` if the fticket attribute is set

    - #### setSticket

          void setSticket(double aSticket)

      Set the sticket attribute.
      Parameters:
        `aSticket` - the new value for the sticket attribute

    - #### getSticket

          double getSticket()

      Get the value of the sticket attribute.
      Returns:
        the value of the sticket attribute

    - #### isSetSticket

          boolean isSetSticket()

      Determine if any sticket attribute is set
      Returns:
        `true` if the sticket attribute is set

    - #### setShare

          void setShare(double aShare)

      Set the share attribute.
      Parameters:
        `aShare` - the new value for the share attribute

    - #### getShare

          double getShare()

      Get the value of the share attribute.
      Returns:
        the value of the share attribute

    - #### isSetShare

          boolean isSetShare()

      Determine if any share attribute is set
      Returns:
        `true` if the share attribute is set

    - #### setSuitable

          void setSuitable(int aSuitable)

      Set the suitable attribute.
      Parameters:
        `aSuitable` - the new value for the suitable attribute

    - #### getSuitable

          int getSuitable()

      Get the value of the suitable attribute.
      Returns:
        the value of the suitable attribute

    - #### isSetSuitable

          boolean isSetSuitable()

      Determine if any suitable attribute is set
      Returns:
        `true` if the suitable attribute is set

    - #### getTaskList

          java.util.List<PETask> getTaskList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PETask attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PETask attributes

    - #### getTaskCount

          int getTaskCount()

      Get the number of com.sun.grid.jgdi.configuration.PETask attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.PETask attributes.

    - #### getTask

          PETask getTask(int index)

      Get a com.sun.grid.jgdi.configuration.PETask attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PETask attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PETask attribute

    - #### addTask

          void addTask(PETask atask)

      Add a com.sun.grid.jgdi.configuration.PETask attribute.
      Parameters:
        `atask` - the new com.sun.grid.jgdi.configuration.PETask attribute

    - #### setTask

          void setTask(int index,
                       PETask atask)

      Set a com.sun.grid.jgdi.configuration.PETask attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PETask attribute
        `atask` - the new com.sun.grid.jgdi.configuration.PETask attribute

    - #### removeAllTask

          void removeAllTask()

      Remove all com.sun.grid.jgdi.configuration.PETask attributes.

    - #### removeTask

          PETask removeTask(int index)

      Remote a com.sun.grid.jgdi.configuration.PETask attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PETask attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PETask attribute or `null` if no attribute at this index is stored

    - #### removeTask

          boolean removeTask(PETask atask)

      Remote a specific com.sun.grid.jgdi.configuration.PETask attribute.
      Parameters:
        `atask` - the com.sun.grid.jgdi.configuration.PETask attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PETask attribute has been removed

    - #### isSetTask

          boolean isSetTask()

      Determine if any task attribute is set
      Returns:
        `true` if the task attribute is set

    - #### getFinishedTaskList

          java.util.List<FPET> getFinishedTaskList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.FPET attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.FPET attributes

    - #### getFinishedTaskCount

          int getFinishedTaskCount()

      Get the number of com.sun.grid.jgdi.configuration.FPET attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.FPET attributes.

    - #### getFinishedTask

          FPET getFinishedTask(int index)

      Get a com.sun.grid.jgdi.configuration.FPET attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.FPET attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.FPET attribute

    - #### addFinishedTask

          void addFinishedTask(FPET afinishedTask)

      Add a com.sun.grid.jgdi.configuration.FPET attribute.
      Parameters:
        `afinishedTask` - the new com.sun.grid.jgdi.configuration.FPET attribute

    - #### setFinishedTask

          void setFinishedTask(int index,
                               FPET afinishedTask)

      Set a com.sun.grid.jgdi.configuration.FPET attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.FPET attribute
        `afinishedTask` - the new com.sun.grid.jgdi.configuration.FPET attribute

    - #### removeAllFinishedTask

          void removeAllFinishedTask()

      Remove all com.sun.grid.jgdi.configuration.FPET attributes.

    - #### removeFinishedTask

          FPET removeFinishedTask(int index)

      Remote a com.sun.grid.jgdi.configuration.FPET attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.FPET attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.FPET attribute or `null` if no attribute at this index is stored

    - #### removeFinishedTask

          boolean removeFinishedTask(FPET afinishedTask)

      Remote a specific com.sun.grid.jgdi.configuration.FPET attribute.
      Parameters:
        `afinishedTask` - the com.sun.grid.jgdi.configuration.FPET attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.FPET attribute has been removed

    - #### isSetFinishedTask

          boolean isSetFinishedTask()

      Determine if any finishedTask attribute is set
      Returns:
        `true` if the finishedTask attribute is set

    - #### getDefaultPreviousUsage

          double getDefaultPreviousUsage()

      Get the default value of the attribute previousUsage.

      Returns:
        the default value of the attribute previousUsage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getPreviousUsage

          double getPreviousUsage(java.lang.String key)

      Get the previousUsage attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the previousUsage attribute for `key` or the default value of previousUsage

    - #### getPreviousUsageKeys

          java.util.Set<java.lang.String> getPreviousUsageKeys()

      Get the set of `key`s which have the attribute previousUsage set.
      Returns:
        set of `key`s

    - #### getPreviousUsageCount

          int getPreviousUsageCount()

      Get the number of keys which have the attribute previousUsage set.
      Returns:
        the number of keys which have the attribute previousUsage set.

    - #### isSetPreviousUsage

          boolean isSetPreviousUsage(java.lang.String key)

      Determine if any previousUsage attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the previousUsage attribute is set

    - #### putPreviousUsage

          void putPreviousUsage(java.lang.String key,
                                double value)

      Put the attribute previousUsage for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removePreviousUsage

          java.lang.Double removePreviousUsage(java.lang.String key)

      remove the attribute previousUsage for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllPreviousUsage

          void removeAllPreviousUsage()

      Remove the attribute previousUsage for all keys.

    - #### isSetPreviousUsage

          boolean isSetPreviousUsage()

      Determine if any previousUsage attribute is set
      Returns:
        `true` if the previousUsage attribute is set

    - #### setPeObject

          void setPeObject(ParallelEnvironment aPeObject)

      Set the peObject attribute.
      Parameters:
        `aPeObject` - the new value for the peObject attribute

    - #### getPeObject

          ParallelEnvironment getPeObject()

      Get the value of the peObject attribute.
      Returns:
        the value of the peObject attribute

    - #### isSetPeObject

          boolean isSetPeObject()

      Determine if any peObject attribute is set
      Returns:
        `true` if the peObject attribute is set

    - #### setNextPeTaskId

          void setNextPeTaskId(int aNextPeTaskId)

      Set the nextPeTaskId attribute.
      Parameters:
        `aNextPeTaskId` - the new value for the nextPeTaskId attribute

    - #### getNextPeTaskId

          int getNextPeTaskId()

      Get the value of the nextPeTaskId attribute.
      Returns:
        the value of the nextPeTaskId attribute

    - #### isSetNextPeTaskId

          boolean isSetNextPeTaskId()

      Determine if any nextPeTaskId attribute is set
      Returns:
        `true` if the nextPeTaskId attribute is set

    - #### setStopInitiateTime

          void setStopInitiateTime(int aStopInitiateTime)

      Set the stopInitiateTime attribute.
      Parameters:
        `aStopInitiateTime` - the new value for the stopInitiateTime attribute

    - #### getStopInitiateTime

          int getStopInitiateTime()

      Get the value of the stopInitiateTime attribute.
      Returns:
        the value of the stopInitiateTime attribute

    - #### isSetStopInitiateTime

          boolean isSetStopInitiateTime()

      Determine if any stopInitiateTime attribute is set
      Returns:
        `true` if the stopInitiateTime attribute is set

    - #### setPrio

          void setPrio(double aPrio)

      Set the prio attribute.
      Parameters:
        `aPrio` - the new value for the prio attribute

    - #### getPrio

          double getPrio()

      Get the value of the prio attribute.
      Returns:
        the value of the prio attribute

    - #### isSetPrio

          boolean isSetPrio()

      Determine if any prio attribute is set
      Returns:
        `true` if the prio attribute is set

    - #### setNtix

          void setNtix(double aNtix)

      Set the ntix attribute.
      Parameters:
        `aNtix` - the new value for the ntix attribute

    - #### getNtix

          double getNtix()

      Get the value of the ntix attribute.
      Returns:
        the value of the ntix attribute

    - #### isSetNtix

          boolean isSetNtix()

      Determine if any ntix attribute is set
      Returns:
        `true` if the ntix attribute is set

    - #### setWallclockLimit

          void setWallclockLimit(int aWallclockLimit)

      Set the wallclockLimit attribute.
      Parameters:
        `aWallclockLimit` - the new value for the wallclockLimit attribute

    - #### getWallclockLimit

          int getWallclockLimit()

      Get the value of the wallclockLimit attribute.
      Returns:
        the value of the wallclockLimit attribute

    - #### isSetWallclockLimit

          boolean isSetWallclockLimit()

      Determine if any wallclockLimit attribute is set
      Returns:
        `true` if the wallclockLimit attribute is set

    - #### getMessageList

          java.util.List<QueueInstanceMessage> getMessageList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes

    - #### getMessageCount

          int getMessageCount()

      Get the number of com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.

    - #### getMessage

          QueueInstanceMessage getMessage(int index)

      Get a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute

    - #### addMessage

          void addMessage(QueueInstanceMessage amessage)

      Add a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
      Parameters:
        `amessage` - the new com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute

    - #### setMessage

          void setMessage(int index,
                          QueueInstanceMessage amessage)

      Set a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute
        `amessage` - the new com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute

    - #### removeAllMessage

          void removeAllMessage()

      Remove all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.

    - #### removeMessage

          QueueInstanceMessage removeMessage(int index)

      Remote a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute or `null` if no attribute at this index is stored

    - #### removeMessage

          boolean removeMessage(QueueInstanceMessage amessage)

      Remote a specific com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
      Parameters:
        `amessage` - the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute has been removed

    - #### isSetMessage

          boolean isSetMessage()

      Determine if any message attribute is set
      Returns:
        `true` if the message attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.